Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 789309 (CVE-2020-25097, CVE-2021-28651, CVE-2021-28652, CVE-2021-28662, CVE-2021-31806, CVE-2021-31807, CVE-2021-31808, SQUID-2020-11, SQUID-2021-1, SQUID-2021-2, SQUID-2021-3, SQUID-2021-4, SQUID-2021-5) - <net-proxy/squid-4.15: Multiple vulnerabilities
Summary: <net-proxy/squid-4.15: Multiple vulnerabilities
Status: RESOLVED FIXED
Alias: CVE-2020-25097, CVE-2021-28651, CVE-2021-28652, CVE-2021-28662, CVE-2021-31806, CVE-2021-31807, CVE-2021-31808, SQUID-2020-11, SQUID-2021-1, SQUID-2021-2, SQUID-2021-3, SQUID-2021-4, SQUID-2021-5
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B3 [glsa+ cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-10 13:19 UTC by Sam James
Modified: 2021-05-26 08:55 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James archtester gentoo-dev Security 2021-05-10 13:19:56 UTC
* CVE-2020-25097 (SQUID-2020:11)

Description:
"Due to improper input validation Squid is vulnerable to an HTTP
Request Smuggling attack."

* CVE-2021-28651 (SQUID-2021:1)

Description:
"Due to a buffer management bug Squid is vulnerable to a
Denial of service attack against the server it is operating on.

This attack is limited to proxies which attempt to resolve a
"urn:" resource identifier. Support for this resolving is enabled
by default in all Squid."

* CVE-2021-28662 (SQUID-2021:2)

Description:
"Due to an input validation bug Squid is vulnerable to a Denial
of Service against all clients using the proxy.

This problem allows a remote server to perform Denial of Service
when delivering HTTP Response messages. The issue trigger is a
header which can be expected to exist in HTTP traffic without any
malicious intent by the server."

* CVE-2021-28652 (SQUID-2021:3)

Description:
"Due to an incorrect parser validation bug Squid is vulnerable to
a Denial of Service attack against the Cache Manager API."

* ? (SQUID-2021:5)

Description:
"Due to an input validation bug Squid is vulnerable to a Denial
of Service against all clients using the proxy.

This problem allows a remote server to perform Denial of Service
when delivering HTTP Response messages. The issue trigger is a
header which can be expected to exist in HTTP traffic without
any malicious intent by the server."
Comment 1 Sam James archtester gentoo-dev Security 2021-05-10 13:23:51 UTC
* CVE-2021-31806, CVE-2021-31807, CVE-2021-31808

Description:
"Due to an incorrect input validation bug Squid is vulnerable to
a Denial of Service attack against all clients using the proxy.

Due to an incorrect memory management bug Squid is vulnerable to
a Denial of Service attack against all clients using the proxy.

Due to an integer overflow bug Squid is vulnerable to a Denial
of Service attack against all clients using the proxy."
Comment 2 Sam James archtester gentoo-dev Security 2021-05-15 00:59:21 UTC
ping
Comment 3 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2021-05-17 08:05:08 UTC
No glsa.
Comment 4 Thomas Deutschmann gentoo-dev Security 2021-05-24 17:50:23 UTC
Added to an existing GLSA request.
Comment 5 GLSAMaker/CVETool Bot gentoo-dev 2021-05-26 08:55:21 UTC
This issue was resolved and addressed in
 GLSA 202105-14 at https://security.gentoo.org/glsa/202105-14
by GLSA coordinator Thomas Deutschmann (whissi).